# Uses of Interface
org.jfree.chart3d.plot.ColorSource

Packages that use ColorSource
Package
Description
org.jfree.chart3d.plot
Standard plot types (`PiePlot3D`, `CategoryPlot3D` and `XYZPlot`) that can be used with the `Chart3D` class.

## Uses of ColorSource in org.jfree.chart3d.plot

Classes in org.jfree.chart3d.plot that implement ColorSource
Modifier and Type
Class
Description
`final class`
`StandardColorSource<K extends Comparable<K>>`
A standard implementation of the `ColorSource` interface.
Methods in org.jfree.chart3d.plot that return ColorSource
Modifier and Type
Method
Description
`ColorSource`
PiePlot3D.`getSectionColorSource()`
Returns the color source for section colors.
`ColorSource`
PiePlot3D.`getSectionLabelColorSource()`
Returns the color source for section labels.
Methods in org.jfree.chart3d.plot with parameters of type ColorSource
Modifier and Type
Method
Description
`void`
PiePlot3D.`setSectionColorSource(ColorSource source)`
Sets the color source and sends a `Plot3DChangeEvent` to all registered listeners.
`void`
PiePlot3D.`setSectionLabelColorSource(ColorSource source)`
Sets the color source for the section labels and sends a `Plot3DChangeEvent` to all registered listeners.